## ircd-hybrid 8.0.9.dfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.0.9.dfsg.1-2) unstable; urgency=low

  * Upload to unstable (Closes: #701439)
  * Add warning about lack of compatible services (see #706417)
  * Run dh_autoreconf (Closes: #698089)
  * Don't build bundled libltdl (Closes: #698090)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 01 Jun 2013 00:59:04 +0100

ircd-hybrid (1:8.0.9.dfsg.1-1) experimental; urgency=low

  * New upstream release

 -- Dominic Hargreaves <dom@earth.li>  Sun, 19 May 2013 19:18:49 +0100

ircd-hybrid (1:8.0.7.dfsg.1-1) experimental; urgency=low

  * New upstream release
    - update ircd.confs to reflect changes in upstream example.conf 
  * Add warning in debian/NEWS and in package preinst/config about
    cryptlink support going away in 8.x (Closes: #698091)
  * Rename CRYPTLINKS.txt to README.SSL to reflect the fact that the
    encrypted links are not called cryptlinks in 8.x
  * Add information about why OpenSSL is not linked by default to
    README.SSL

 -- Dominic Hargreaves <dom@earth.li>  Tue, 16 Apr 2013 00:03:29 +0100

ircd-hybrid (1:8.0.6.dfsg.1-1) experimental; urgency=low

  * New upstream release
    - Fixed build on GNU/Hurd (Closes: #698087)
    - Improved logging of configuration file issues (Closes: #698027)
    - nick and topic lengths are now configurable via ircd.conf; remove
      --with-nicklen and --with-topiclen from debian/rules, and note
      change in NEWS.Debian
    - update ircd.confs to reflect changes in upstream example.conf
    - Linux RT signal support for notification of socket events has been
      dropped; remove --enable-rtsigio from debian/rules
    - [CVE-2013-0238] fix DoS in hostmask.c:try_parse_v4_netmask()
      (Closes: #699267)
  * Correct Vcs-Git URL
  * Add prep-new-tarball script to assist in the creation of dfsg tarball

 -- Dominic Hargreaves <dom@earth.li>  Sun, 03 Feb 2013 00:12:38 +0000

ircd-hybrid (1:8.0.4.dfsg.1-1) experimental; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Update patchlevel automatically (was out of date)
  * Switch to debhelper 8
  * Remove obsolete sections of debian/rules
  * Add missing ${misc:Depends} to hybrid-dev Depends
  * Add build-indep and build-arch targets
  * Update Standards-Version to 3.9.4
  * Switch to git-dpm for patch management
  * Add debian/README.source describing patch management and dfsg
    tarball creation
  * New upstream release (Closes: #413600)
    - drop all patches other than patchlevel_debian. Note
      that #283738, which was previously fixed by warn_no_ssl_files,
      still exists, but is expected to be fixed by an upstream change
      soon.
    - m_services.c no longer hard-codes services name (Closes: #425202)
    - can_flood is now correctly enforced (Closes: #506402)
    - MAXCLIENTS is now a runtime configuration, so remove support for
      setting it in debian/rules
    - Install headers into /usr/include/ircd-hybrid-8
  * Update debian/copyright to format 1.0; licence is GPL-2+
  * Don't build contrib modules as they contain known buggy code
    and are not supported upstream
  * Refresh default ircd.conf files from upstream examples
    (Closes: #664661)
  * Set a default sid in ircd.conf, and add NEWS item about the need to
    set a unique sid in a network
  * Fix Lintian warning about deprecated use of chown in SSL postinst

 -- Dominic Hargreaves <dom@earth.li>  Sun, 13 Jan 2013 16:01:22 +0000

ircd-hybrid (1:7.2.2.dfsg.2-10) unstable; urgency=high

  * [CVE-2013-0238] fix DoS in hostmask.c:try_parse_v4_netmask()
    (Closes: #699267)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 03 Feb 2013 00:54:15 +0000

ircd-hybrid (1:7.2.2.dfsg.2-9) unstable; urgency=low

  * Change maintainer in debian/control.in too

 -- Dominic Hargreaves <dom@earth.li>  Thu, 01 Nov 2012 21:13:39 +0000

ircd-hybrid (1:7.2.2.dfsg.2-8) unstable; urgency=low

  * New maintainer (Closes: #548366)
  * Add Vcs-* headers
  * Really enable hardened build flags; thanks to Simon Ruderich
    (Closes: #657537)
  * Fix bug where only one command line option could be passed; thanks
    to Denis Sacchet (Closes: #506192)
  * In README.Debian, note that SSL isn't enabled by default
    (Closes: #523113)

 -- Dominic Hargreaves <dom@earth.li>  Thu, 01 Nov 2012 20:30:57 +0000

ircd-hybrid (1:7.2.2.dfsg.2-7) unstable; urgency=low

  * Non-maintainer upload.
  * Orphan package. As indicated in #548366, Joshua Kwan is no longer
    interested and there's no visible activity by Aurelien for a long
    time now.
  * Enable hardened build flags and fix missing format string (also
    forwarded and accepted upstream) (Closes: #657537)	 

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 07 Apr 2012 21:34:25 +0200

ircd-hybrid (1:7.2.2.dfsg.2-6.3) unstable; urgency=low

  * NMU.
  * Merge Ubuntu diff:

  [ Colin Watson ]
  * Update 16_use_debian_pcre.dpatch to link dynamically with libpcre rather
    than statically (closes: #640559, LP: #749282).

  [ Bhavani Shankar ]
  * Create /var/run/ircd on start/restart rather than relying on the directory
    shipped in the package, since /var/run may be a tmpfs
    (closes: #519136, LP: #337715).
  * Prevent conflict with other ircds: remove Conflicts: ircd. inspircd and
    ircd-ratbox are the only current ircds that aren't explicitly conflicted
    with, and there are no file conflicts with those packages
    (closes: #511611, LP: #375619).

  [ gregor herrmann ]
  * Add $remote_fs to Required-{Start,Stop} in debian/ircd-hybrid.init
    (lintian error).

 -- gregor herrmann <gregoa@debian.org>  Tue, 20 Sep 2011 19:17:42 +0200

ircd-hybrid (1:7.2.2.dfsg.2-6.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Spanish (Camaleón).  Closes: #584456
    - Danish (Joe Hansen).  Closes: #600029
    - Italian (Vincenzo Campanella).  Closes: #600438

 -- Christian Perrier <bubulle@debian.org>  Tue, 19 Oct 2010 07:21:33 +0200

ircd-hybrid (1:7.2.2.dfsg.2-6.1) unstable; urgency=low

  * Non-maintainer upload.

