=== debian/control ===
Source: ircd-hybrid
Section: net
Priority: optional
Build-Depends: debhelper (>= 8),
 zlib1g-dev,
 docbook-to-man,
 flex,
 bison,
 libpcre3-dev (>= 6.3),
 automake1.13,
 dh-autoreconf,
 libltdl-dev 
Build-Conflicts: autoconf2.13
Maintainer: Dominic Hargreaves <dom@earth.li>
Standards-Version: 3.9.4
Homepage: http://ircd-hybrid.com/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/dom/ircd-hybrid.git
Vcs-Git: git://anonscm.debian.org/users/dom/ircd-hybrid.git

Package: ircd-hybrid
Architecture: any
Conflicts: ircd-ircu, ircd-irc2, dancer-ircd, oftc-hybrid
Pre-Depends: debconf (>= 0.5) | debconf-2.0
Depends: ${shlibs:Depends}, ${misc:Depends} 
Provides: ircd
Recommends: whois
Suggests: hybserv
Description: high-performance secure IRC server
 ircd-hybrid is a stable, high-performance IRC server that features:
 .
  * If enabled, SSL client support and server-to-server RSA encryption.
  * Compressed server links
  * Channel exceptions (+e) and invitation exceptions (+I).
  * New configuration file format.
  * Halfops (+h) and anti-spam user mode +g.
  * Dynamically loadable modules.
  * Channel and nickname RESV's (reservations).
 .
 It is also the IRC server of choice on the venerable EFnet, although
 EFnet also uses the Ratbox, ComStud, and the Hybrid 6 IRCDs.

Package: hybrid-dev
Section: devel
Architecture: all
Depends: ${misc:Depends}
Suggests: ircd-hybrid
Description: development files for ircd-hybrid
 These are the headers used when writing modules for ircd-hybrid.
 For more information on how to write these modules, see the ircd-hybrid
 documentation or example_module.c in the source code for ircd-hybrid.
 .
 It also includes mbuild-hybrid, a shell script that simplifies building 
 and installation of such modules. This shell script is simplistic and
 assumes a lot; if you possess clue, you will know what to do anyway.
