## ircd-hybrid 8.1.13.dfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.1.13.dfsg.1-1) unstable; urgency=low

  * New upstream release

 -- Dominic Hargreaves <dom@earth.li>  Wed, 08 Jan 2014 22:17:08 +0000

ircd-hybrid (1:8.1.12.dfsg.1-1) unstable; urgency=low

  * Remove unused GPL-1+ license paragraph in debian/copyright
  * New upstream release

 -- Dominic Hargreaves <dom@earth.li>  Sun, 05 Jan 2014 16:39:13 +0000

ircd-hybrid (1:8.1.7.dfsg.1-1) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #710876
  * [Debconf translation updates]
  * Russian (Yuri Kozlov).  Closes: #714096
  * Portuguese (Américo Monteiro).  Closes: #714432
  * Swedish (Martin Bagge / brother).  Closes: #714647
  * Czech (Miroslav Kure).  Closes: #715137
  * German (Helge Kreutzmann).  Closes: #715197
  * Italian (Beatrice Torracca).  Closes: #715389
  * Japanese (Hideki Yamane (Debian-JP)).  Closes: #715432
  * Spanish; (Camaleón).  Closes: #715476
  * Polish (Michał Kułach).  Closes: #715514
  * French (Christian Perrier).  Closes: #716888

  [ Dominic Hargreaves ]
  * Correct validity of max_topic_length in default configuration
    (Closes: #712180)
  * Include (empty) kline.conf and dline.conf files to avoid harmless
    warnings about them being missing (Closes: #713871)
  * Don't check for START=yes in the 'stop' action of the init script
    (Closes: #718192)
  * Remove Tao-of-IRC.940110 in repack script, as there is no
    licensing info
  * New upstream release
    - update ircd.confs to reflect changes in upstream reference.conf
  * Build-Depend on automake rather than automake1.13, as the virtual
    automake1.13 package isn't always pulled in correctly
  * Build with libgeoip support
  * Source /lib/lsb/init-functions in init script (thanks, Lintian)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 08 Sep 2013 12:43:57 +0100
