=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
  flex,
  bison,
  libpcre3-dev (>= 6.3),
- automake1.13,
+ libgeoip-dev,
+ automake (>= 1:1.13.1),
  dh-autoreconf,
  libltdl-dev 
 Build-Conflicts: autoconf2.13
@@ -28,23 +29,20 @@
 Description: high-performance secure IRC server
  ircd-hybrid is a stable, high-performance IRC server that features:
  .
-  * If enabled, SSL client support and server-to-server RSA encryption.
-  * Compressed server links
-  * Channel exceptions (+e) and invitation exceptions (+I).
-  * New configuration file format.
-  * Halfops (+h) and anti-spam user mode +g.
-  * Dynamically loadable modules.
+  * If enabled, SSL client support and server-to-server RSA encryption;
+  * Compressed server links;
+  * Channel exceptions (+e) and invitation exceptions (+I);
+  * New configuration file format;
+  * Halfops (+h) and anti-spam user mode +g;
+  * Dynamically loadable modules;
   * Channel and nickname RESV's (reservations).
- .
- It is also the IRC server of choice on the venerable EFnet, although
- EFnet also uses the Ratbox, ComStud, and the Hybrid 6 IRCDs.
 
 Package: hybrid-dev
 Section: devel
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: ircd-hybrid
-Description: development files for ircd-hybrid
+Description: high-performance secure IRC server - development files
  These are the headers used when writing modules for ircd-hybrid.
  For more information on how to write these modules, see the ircd-hybrid
  documentation or example_module.c in the source code for ircd-hybrid.
