=== debian/rules ===
--- 
+++ 
@@ -118,7 +118,6 @@
 endif
 	rm -f build-stamp configure-stamp manpages-stamp config.log changelog-stamp control-stamp
 	[ ! -f Makefile ] || $(MAKE) distclean
-	[ ! -f Makefile ] || $(MAKE) -C messages distclean
 	rm -f include/patchlevel-debian.h
 	dh_clean
 
@@ -196,7 +195,7 @@
 	dh_prep
 	dh_installdirs -A
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
-	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp -C messages install
+	rm -f $(CURDIR)/debian/tmp/etc/ircd-hybrid/reference.conf
 
 # The makefile installing headers for external modules building has
 # disappeared since 7.0.3, so we are now doing what it did...
@@ -233,7 +232,7 @@
 
 	dh_installdocs -a -Xdoc/ircd. -Xline. -XMakefile -Xexample
 
-	dh_installexamples doc/example*.conf contrib/example_module.c
+	dh_installexamples doc/reference.conf
 
 	dh_installman -a
 
@@ -249,7 +248,7 @@
 	# mkpasswd -Hmd5
 	rm -f $(I_SBIN)/mkpasswd
 	rm -f $(I_ETC)/.convertconf-example.conf $(I_ETC)/example*
-	touch $(I_ETC)/xline.conf $(I_ETC)/nresv.conf $(I_ETC)/cresv.conf
+	touch $(I_ETC)/xline.conf $(I_ETC)/nresv.conf $(I_ETC)/cresv.conf $(I_ETC)/kline.conf $(I_ETC)/dline.conf
 
 	# Fixes lintian error non-empty-dependency_libs-in-la-file
 	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
