## ircd-hybrid 8.1.17.dfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.1.17.dfsg.1-1) unstable; urgency=medium

  * New upstream release
    - update ircd.confs to reflect changes in upstream reference.conf
  * Correct default MOTD to refer to 8.1 rather than 8.0

 -- Dominic Hargreaves <dom@earth.li>  Mon, 05 May 2014 15:24:20 +0100

ircd-hybrid (1:8.1.16.dfsg.1-1) unstable; urgency=medium

  * Update Debconf translations (Closes: #744013)
  * New upstream release

 -- Dominic Hargreaves <dom@earth.li>  Mon, 21 Apr 2014 18:51:51 +0100

ircd-hybrid (1:8.1.15.dfsg.1-1) unstable; urgency=medium

  * New upstream release
    - update default config file
  * Update Standards-Version (no changes)
  * Add warning when upgrading away from a version with SSL support
    (Closes: #736813)
  * Update Debconf translations (Closes: #741058, #741105, #741149,
    #741150, #741357, #741403, #741455, #741869, #741937)

 -- Dominic Hargreaves <dom@earth.li>  Tue, 01 Apr 2014 22:52:14 +0100
