=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libltdl-dev 
 Build-Conflicts: autoconf2.13
 Maintainer: Dominic Hargreaves <dom@earth.li>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://ircd-hybrid.com/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/dom/ircd-hybrid.git
 Vcs-Git: git://anonscm.debian.org/users/dom/ircd-hybrid.git
