## ircd-hybrid 8.2.0%2Bdfsg.1

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libltdl-dev 
 Build-Conflicts: autoconf2.13
 Maintainer: Dominic Hargreaves <dom@earth.li>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://ircd-hybrid.com/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/dom/ircd-hybrid.git
 Vcs-Git: git://anonscm.debian.org/users/dom/ircd-hybrid.git
@@ -25,7 +25,6 @@
 Depends: ${shlibs:Depends}, ${misc:Depends} 
 Provides: ircd
 Recommends: whois
-Suggests: hybserv
 Description: high-performance secure IRC server
  ircd-hybrid is a stable, high-performance IRC server that features:
  .
