## ircd-hybrid 8.2.0+dfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.2.0+dfsg.1-2) unstable; urgency=medium

  * Updated Swedish debconf translation (Closes: #761974)
  * Updated Dutch debconf translation (Closes: #763645)
  * Update Standards-Version (no changes)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 19 Oct 2014 11:35:21 +0100

ircd-hybrid (1:8.2.0+dfsg.1-1) unstable; urgency=low

  * Update debian/prep-new-tarball to not fail when trying to
    remove files which don't exist, and use +dfsg rather than .dfsg
    (thanks, Lintian)
  * New upstream release
    - update debian/copyright with minor changes
    - update config files from new reference.conf
  * Add NEWS item about updated configuration
  * Correct default MOTD to refer to 8.2 rather than 8.1
  * Use install -d rather than mkdir to ensure permissions are set
    correctly in certain build environments (thanks, Lintian)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 07 Sep 2014 18:26:34 +0100
