=== debian/rules ===
--- 
+++ 
@@ -199,7 +199,7 @@
 
 # The makefile installing headers for external modules building has
 # disappeared since 7.0.3, so we are now doing what it did...
-	mkdir -p $(CURDIR)/debian/tmp/usr/include/ircd-hybrid-8
+	install -d $(CURDIR)/debian/tmp/usr/include/ircd-hybrid-8
 	(cd include; for header in *.h; do \
 		install -m644 $$header $(CURDIR)/debian/tmp/usr/include/ircd-hybrid-8; \
 	done)
