## ircd-hybrid 8.2.7+dfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.2.7+dfsg.1-1) unstable; urgency=medium

  * Remove Suggests: hybserv since it doesn't really work with
    ircd-hybrid 8 and above
  * New upstream release
    - update debian/copyright with minor changes
    - update config files from new reference.conf
    - fixes DoS from localhost clients (Closes: #782859)
    - supports SSL certficate chaining (Closes: #769741)
  * Debconf configuration script no longer ignores the result of
    upgrade questions (Closes: #779082)
  * Don't display upgrade warnings on new installs (Closes: #782883)
  * Add NEWS item about updated configuration

 -- Dominic Hargreaves <dom@earth.li>  Sun, 19 Apr 2015 15:53:09 +0100
