## ircd-hybrid 8.2.12+dfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.2.12+dfsg.1-1) unstable; urgency=medium

  * New upstream release
    - update debian/copyright with new copyright year
  * Add NEWS item about change requiring whole-network upgrade

 -- Dominic Hargreaves <dom@earth.li>  Sun, 17 Jan 2016 19:04:02 +0000

ircd-hybrid (1:8.2.11+dfsg.1-1) unstable; urgency=medium

  * New upstream release
    - update config files from new reference.conf
  * Add NEWS item about updated configuration and incompatible changes
  * Bump debhelper compatibility level
  * Various cleanups to debian/rules
  * Create /var/cache/ircd-hybrid for flattened links file

 -- Dominic Hargreaves <dom@earth.li>  Sat, 02 Jan 2016 15:16:00 +0000

ircd-hybrid (1:8.2.8+dfsg.1-3) unstable; urgency=medium

  * Correctly remove /var/lib/ircd-hybrid when purging package
    (Closes: #798372)

 -- Dominic Hargreaves <dom@earth.li>  Tue, 08 Sep 2015 22:08:29 +0100

ircd-hybrid (1:8.2.8+dfsg.1-2) unstable; urgency=medium

  * Fix typo in build date format
  * Fix regression in previous release where the server would not
    get correctly restarted after upgrade

 -- Dominic Hargreaves <dom@earth.li>  Sat, 05 Sep 2015 23:08:39 +0100

ircd-hybrid (1:8.2.8+dfsg.1-1) unstable; urgency=medium

  * New upstream release
    - update config files from new reference.conf 
  * Reproducibility fixes
    - Don't use the current time when building
    - Set file modes reproducibly 
  * Support status argument to init script
  * Store data files in /var/lib/ircd-hybrid instead of /etc/ircd-hybrid
    (Closes: #782892)
  * Remove obsolete --enable-halfops configure option
  * Sync debian/control.in with debian/control
  * Add Suggests: anope
  * Add a safeguard to stop debian/control getting out of sync
  * Remove obsolete build-dependencies on zlib1g-dev and libpcre3-dev
  * Remove reference to outdated m_opme patches in README.Debian
  * Don't create obsolete database files in /etc
  * Thanks to Michael Wobst for review of many of these changes

 -- Dominic Hargreaves <dom@earth.li>  Sat, 05 Sep 2015 22:35:51 +0100
