=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: ircd-hybrid
 Section: net
 Priority: optional
-Build-Depends: debhelper (>= 8),
- zlib1g-dev,
+Build-Depends: debhelper (>= 9),
  docbook-to-man,
  flex,
  bison,
- libpcre3-dev (>= 6.3),
  libgeoip-dev,
  automake (>= 1:1.13.1),
  dh-autoreconf,
@@ -25,7 +23,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends} 
 Provides: ircd
 Recommends: whois
-Suggests: hybserv
+Suggests: anope
 Description: high-performance secure IRC server
  ircd-hybrid is a stable, high-performance IRC server that features:
  .
