=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # Note that the get-orig-source target depends on wget.
 
 export CFLAGS = -g
-DOWNLOAD_URL = http://prdownloads.sourceforge.net/ircd-hybrid/ircd-hybrid-7.2.2.tgz
+export BUILD_DATE = $(shell LC_ALL=C date -u --date="`dpkg-parsechangelog -SDate`" +'%B %-e %Y at %T%z')
 
 # We don't want debian/control to be nuked
 MAINT_FILES	  =	debian/control \
@@ -75,7 +75,6 @@
 			--localstatedir=/var \
 			$(configure_options) \
 			$(shell dpkg-buildflags --export=configure) \
-			--enable-halfops \
 			--program-suffix=-hybrid \
 			--without-included-ltdl
 	touch $@
@@ -146,15 +145,16 @@
 	sed -e 's^@SSL_BUILD_DEPENDS@^^' \
 	    -e 's^@SSL_HYBRID_DEPENDS@^^' \
 	    -e 's^@SSL_CRYPTLINK_DESC@^^' debian/control.in > debian/control
+	cmp debian/control debian/control.orig
 endif
 	
 	touch $@
 
 debian/ircd.conf:
 ifdef USE_OPENSSL
-	ln -sf ircd.conf.ssl debian/ircd.conf
-else
-	ln -sf ircd.conf.nossl debian/ircd.conf
+	cp -f debian/ircd.conf.ssl debian/ircd.conf
+else
+	cp -f debian/ircd.conf.nossl debian/ircd.conf
 endif
 
 debian/ircd-hybrid.preinst:
@@ -196,30 +196,22 @@
 	dh_installdirs -A
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
 	rm -f $(CURDIR)/debian/tmp/etc/ircd-hybrid/reference.conf
-
-# The makefile installing headers for external modules building has
-# disappeared since 7.0.3, so we are now doing what it did...
-	install -d $(CURDIR)/debian/tmp/usr/include/ircd-hybrid-8
-	(cd include; for header in *.h; do \
-		install -m644 $$header $(CURDIR)/debian/tmp/usr/include/ircd-hybrid-8; \
-	done)
-
-	dh_install -A --sourcedir=debian/tmp
+	install -d $(CURDIR)/debian/tmp/var/cache/ircd-hybrid
+
+	dh_install
+
+ifdef USE_OPENSSL
+	cp debian/cert.cnf $(I_ETC) 
+endif
 
 binary-indep: build install
 
 	dh_testdir
 	dh_installchangelogs -i
-
-	chmod +x debian/mbuild-hybrid
-	cp -f debian/mbuild-hybrid debian/hybrid-dev/usr/bin
-
 	dh_installdocs -i
-	
-	dh_installman -i debian/doc-pages/mbuild-hybrid.1
-
+	dh_installman -i
 	dh_compress -i
-
+	dh_fixperms -i
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
@@ -229,26 +221,16 @@
 
 	dh_testdir
 	dh_testroot
-
 	dh_installdocs -a -Xdoc/ircd. -Xline. -XMakefile -Xexample
-
-	dh_installexamples doc/reference.conf
-
+	dh_installexamples
 	dh_installman -a
-
 	dh_installchangelogs -a
-
 	dh_compress -a
-
-	cp -Lf debian/ircd.conf $(I_ETC)/ircd.conf
-	cp -f debian/ircd.motd $(I_ETC)/ircd.motd
-
-	cp debian/ircd-hybrid.lintian.override $(I)/usr/share/lintian/overrides/ircd-hybrid
+	dh_lintian
 
 	# mkpasswd -Hmd5
 	rm -f $(I_SBIN)/mkpasswd
 	rm -f $(I_ETC)/.convertconf-example.conf $(I_ETC)/example*
-	touch $(I_ETC)/xline.conf $(I_ETC)/nresv.conf $(I_ETC)/cresv.conf $(I_ETC)/kline.conf $(I_ETC)/dline.conf
 
 	# Fixes lintian error non-empty-dependency_libs-in-la-file
 	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
@@ -256,13 +238,12 @@
 	dh_fixperms -a
 
 	chown irc:irc debian/ircd-hybrid/var/log/ircd
-	chown -R irc:irc $(I_ETC)
-	chmod -R 660 $(I_ETC)
-ifdef USE_OPENSSL
-	# Don't care for this to be 660.
-	cp debian/cert.cnf $(I_ETC) 
-endif
-	chmod ug+x $(I_ETC)
+	chown root:irc $(I_ETC)
+	chmod 750 $(I_ETC)
+	chown root:irc $(I_ETC)/ircd.conf
+	chmod 640 $(I_ETC)/ircd.conf
+	chown irc:irc debian/ircd-hybrid/var/cache/ircd-hybrid
+	chmod 700 debian/ircd-hybrid/var/cache/ircd-hybrid
 
 	dh_installinit -a -n
 	dh_installdebconf -a
@@ -278,7 +259,4 @@
 
 binary:	binary-indep binary-arch
 
-get-orig-source:
-	wget $(DOWNLOAD_URL)
-
-.PHONY: binary binary-arch binary-indep clean clean1 install get-orig-source manpages debian/control debian/changelog
+.PHONY: binary binary-arch binary-indep clean clean1 install manpages debian/control debian/changelog
