## ircd-hybrid 8.2.17+dfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.2.17+dfsg.1-1) unstable; urgency=medium

  * New upstream release

 -- Dominic Hargreaves <dom@earth.li>  Sat, 23 Apr 2016 13:05:40 +0100

ircd-hybrid (1:8.2.16+dfsg.1-2) unstable; urgency=high

  * Remove reference to obsolete debconf question, fixing
    uninstallability; thanks to Andreas Beckmann (Closes: #821823)

 -- Dominic Hargreaves <dom@earth.li>  Tue, 19 Apr 2016 23:13:39 +0100

ircd-hybrid (1:8.2.16+dfsg.1-1) unstable; urgency=medium

  * Add Brazilian Portuguese translation, thanks to Adriano Rafael Gomes
    (Closes: #816931)
  * New upstream release
    - update config files from new reference.conf
  * Build unconditionally with SSL support using new GnuTLS support
    (Closes: #697376)
  * Add NEWS entry about Anope in Debian and remove outdated debconf
    prompt about lack of services support
  * Update Standards-Version (no changes)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 03 Apr 2016 13:33:01 +0100
