=== debian/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
  libgeoip-dev,
  automake (>= 1:1.13.1),
  dh-autoreconf,
- libltdl-dev 
+ libltdl-dev,
+ libgnutls28-dev,
 Build-Conflicts: autoconf2.13
 Maintainer: Dominic Hargreaves <dom@earth.li>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://ircd-hybrid.com/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/dom/ircd-hybrid.git
 Vcs-Git: git://anonscm.debian.org/users/dom/ircd-hybrid.git
@@ -20,14 +21,16 @@
 Architecture: any
 Conflicts: ircd-ircu, ircd-irc2, dancer-ircd, oftc-hybrid
 Pre-Depends: debconf (>= 0.5) | debconf-2.0
-Depends: ${shlibs:Depends}, ${misc:Depends} 
+Depends: ${shlibs:Depends},
+    ${misc:Depends},
+    openssl,
 Provides: ircd
 Recommends: whois
 Suggests: anope
 Description: high-performance secure IRC server
  ircd-hybrid is a stable, high-performance IRC server that features:
  .
-  * If enabled, SSL client support and server-to-server RSA encryption;
+  * SSL client support and server-to-server RSA encryption;
   * Compressed server links;
   * Channel exceptions (+e) and invitation exceptions (+I);
   * New configuration file format;
