## ircd-hybrid 8.2.21+dfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.2.21+dfsg.1-1) unstable; urgency=medium

  * New upstream release
    - update config file from new reference.conf
  * Add Depends on lsb-base (thanks, Lintian)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 03 Dec 2016 12:34:40 +0000

ircd-hybrid (1:8.2.19+dfsg.1-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version (no changes)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 28 Aug 2016 23:55:02 +0100
