=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libgnutls28-dev,
 Build-Conflicts: autoconf2.13
 Maintainer: Dominic Hargreaves <dom@earth.li>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://ircd-hybrid.com/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/dom/ircd-hybrid.git
 Vcs-Git: git://anonscm.debian.org/users/dom/ircd-hybrid.git
@@ -24,6 +24,7 @@
 Depends: ${shlibs:Depends},
     ${misc:Depends},
     openssl,
+    lsb-base (>= 3.0-6),
 Provides: ircd
 Recommends: whois
 Suggests: anope
