## ircd-hybrid 8.2.22+dfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.2.22+dfsg.1-1) unstable; urgency=medium

  * New upstream release
    - update config file from new reference.conf
  * Update Standards-Version (no changes)
  * Update Vcs-* fields to https

 -- Dominic Hargreaves <dom@earth.li>  Wed, 23 Aug 2017 00:23:03 +0100
