=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
  libgnutls28-dev,
 Build-Conflicts: autoconf2.13
 Maintainer: Dominic Hargreaves <dom@earth.li>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: http://ircd-hybrid.com/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/dom/ircd-hybrid.git
-Vcs-Git: git://anonscm.debian.org/users/dom/ircd-hybrid.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=users/dom/ircd-hybrid.git
+Vcs-Git: https://anonscm.debian.org/git/users/dom/ircd-hybrid.git
 
 Package: ircd-hybrid
 Architecture: any
