## ircd-hybrid 8.2.24+dfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.2.24+dfsg.1-1+deb10u1) buster; urgency=medium

  * Use dhparam.pem to avoid segfault on startup (Closes: #932774)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 23 Feb 2020 22:07:54 +0000

ircd-hybrid (1:8.2.24+dfsg.1-1) unstable; urgency=medium

  * New upstream release
    - update config file from new reference.conf
  * d/rules: Remove reference to non-existence get-orig-source target
  * Update Standards-Version
  * Don't run chown in recursive mode in maintainer scripts, fixing
    Lintian check maintainer-script-should-not-use-recursive-chown-or-chmod
  * Update Vcs-* fields to salsa

 -- Dominic Hargreaves <dom@earth.li>  Fri, 06 Apr 2018 22:58:00 +0100
