## ircd-hybrid 8.2.26%2Bdfsg.1

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # debian/rules file for ircd-hybrid,
 # created by Joshua Kwan <joshk@triplehelix.org> for ircd-hybrid-7.0.x,
 # modified by Aurélien GÉRÔME for ircd-hybrid-7.2.2.
-# Note that the get-orig-source target depends on wget.
 
 export CFLAGS = -g
 export BUILD_DATE = $(shell LC_ALL=C date -u --date="`dpkg-parsechangelog -SDate`" +'%B %-e %Y at %T%z')
