## ircd-hybrid 8.2.26+dfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.2.26+dfsg.1-1) unstable; urgency=medium

  * Remove libgeoip-dev from Build-Depends as this feature is no longer
    supported
  * Remove obsolete upgrade logic in maintainer scripts
  * New upstream release
    - update config file from new reference.conf
    - update debian/copyright for new years and third party files
  * Use dhparam.pem to avoid segfault on startup (Closes: #932774)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 01 Sep 2019 12:18:31 +0100
