=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
  docbook-to-man,
  flex,
  bison,
- libgeoip-dev,
  automake (>= 1:1.13.1),
  dh-autoreconf,
  libltdl-dev,
