## ircd-hybrid 8.2.31+dfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.2.31+dfsg.1-1) unstable; urgency=medium

  * New upstream release
    - update debian/copyright for new years and third party files
    - update config file from new reference.conf
    - update versioned dependency on gnutls and its configuration flag 
    - fix FTBFS with gcc-10 (Closes: #957377)
  * Add postinst logic to automatically rename config variables that
    have changed in this release
  * Bump debhelper compatibility level
  * Remove /etc/default/ircd-hybrid to fix Lintian error
    init.d-script-should-always-start-service

 -- Dominic Hargreaves <dom@earth.li>  Sun, 10 May 2020 23:50:34 +0100
