=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: ircd-hybrid
 Section: net
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
  docbook-to-man,
  flex,
  bison,
  automake (>= 1:1.13.1),
- dh-autoreconf,
  libltdl-dev,
- libgnutls28-dev,
+ libgnutls28-dev (>= 3.6.5),
 Build-Conflicts: autoconf2.13
 Maintainer: Dominic Hargreaves <dom@earth.li>
 Standards-Version: 4.1.4
