=== debian/rules ===
--- 
+++ 
@@ -52,8 +52,7 @@
 	dh_autoreconf
 
 	./configure	$(crossflags) \
-			--disable-openssl \
-			--enable-gnutls \
+			--with-tls=gnutls \
 			--prefix=/usr \
 			--sysconfdir=/etc/ircd-hybrid \
 			--localstatedir=/var \
