## ircd-hybrid 8.2.38+dfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.2.38+dfsg.1-2) unstable; urgency=medium

  * Update debconf translations (Closes: #982558, #982317, #983111, #983415)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 28 Feb 2021 12:22:17 +0000

ircd-hybrid (1:8.2.38+dfsg.1-1) unstable; urgency=medium

  * New upstream release
    - update config file for new reference.conf
    - add additional config directive renaming in postinst
  * Update NEWS with information about configuration directive renames
    and upgrade version constraints
  * Fix post-inst helper scripts to be executable
  * Remove reference to old version 7.2.2 in default MOTD

 -- Dominic Hargreaves <dom@earth.li>  Sun, 07 Feb 2021 15:51:55 +0000

ircd-hybrid (1:8.2.37+dfsg.1-1) unstable; urgency=medium

  * Update German debconf translation (Closes: #977152)
  * New upstream release

 -- Dominic Hargreaves <dom@earth.li>  Mon, 04 Jan 2021 11:49:55 +0000

ircd-hybrid (1:8.2.36+dfsg.1-1) unstable; urgency=medium

  * Update German debconf translation (Closes: #960782)
  * Update Spanish debconf translation (Closes: #961914)
  * Update Portuguese debconf translation (Closes: #962404)
  * Update Dutch debconf translation (Closes: #963009)
  * Update Homepage to primary (.org) domain
  * New upstream release
    - update debian/copyright for file renames
    - update config file from new reference.conf
  * Update postinst logic to cater for more config renames
  * Add Breaks on older versions of anope which are not compatible
    with this release

 -- Dominic Hargreaves <dom@earth.li>  Sun, 06 Dec 2020 22:15:03 +0000
