=== debian/rules ===
--- 
+++ 
@@ -105,6 +105,7 @@
 	rm -f $(CURDIR)/debian/tmp/etc/ircd-hybrid/reference.conf
 	install -d $(CURDIR)/debian/tmp/var/cache/ircd-hybrid
 
+	chmod +x $(CURDIR)/debian/scripts/*
 	dh_install
 
 	cp debian/cert.cnf $(I_ETC)
