=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg\.\d+$// \
http://sf.net/ircd-hybrid/ircd-hybrid-(.*)\.tgz
