## ircd-hybrid 8.2.39+dfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.2.39+dfsg.1-2) unstable; urgency=medium

  * Update debconf translations (Closes: #1003288)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 17 Apr 2022 19:37:33 +0100

ircd-hybrid (1:8.2.39+dfsg.1-1) unstable; urgency=medium

  * Update debconf translations (Closes: #987228, #994051)
  * New upstream release
  * Correct errors in ircd.conf (Closes: #999586)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 17 Apr 2022 19:27:26 +0100
