## ircd-hybrid 8.2.43%2Bdfsg.1

=== debian/changelog ===
ircd-hybrid (1:8.2.43+dfsg.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:25:35 +0000

ircd-hybrid (1:8.2.43+dfsg.1-1build1) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:06:40 +0000

ircd-hybrid (1:8.2.43+dfsg.1-1) unstable; urgency=medium

  * Update debian/watch file following upstream move to github
  * New upstream release
    - drop build date patch now upstream has support for reproducible
      builds
    - update debian/copyright 
    - update config file for new reference.conf
  * Update NEWS with information about configuration directive renames
    and upgrade version constraints

 -- Dominic Hargreaves <dom@earth.li>  Mon, 05 Dec 2022 10:05:28 +0000
