## ircd-hybrid 8.2.43+dfsg.1

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,10 @@
  libltdl-dev,
  libgnutls28-dev (>= 3.6.5),
 Build-Conflicts: autoconf2.13
-Maintainer: Dominic Hargreaves <dom@earth.li>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dominic Hargreaves <dom@earth.li>
 Standards-Version: 4.1.4
-Homepage: http://ircd-hybrid.com/
+Homepage: https://www.ircd-hybrid.org/
 Vcs-Browser: https://salsa.debian.org/dom/ircd-hybrid
 Vcs-Git: https://salsa.debian.org/dom/ircd-hybrid.git
 
@@ -26,6 +27,7 @@
 Provides: ircd
 Recommends: whois
 Suggests: anope
+Breaks: anope (<< 2.0.9-1~),
 Description: high-performance secure IRC server
  ircd-hybrid is a stable, high-performance IRC server that features:
  .
