=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 # modified by Aurélien GÉRÔME for ircd-hybrid-7.2.2.
 
 export CFLAGS = -g
-export BUILD_DATE = $(shell LC_ALL=C date -u --date="`dpkg-parsechangelog -SDate`" +'%B %-e %Y at %T%z')
 
 # Make my life easier
 I = debian/ircd-hybrid
@@ -45,10 +44,6 @@
 configure-stamp:
 	dh_testdir
 
-	/bin/echo -ne '#ifndef PATCHLEVEL\n#define PATCHLEVEL "hybrid-' > include/patchlevel-debian.h
-	/bin/echo -n $(package_version) >> include/patchlevel-debian.h	
-	/bin/echo -ne '"\n#endif' >> include/patchlevel-debian.h
-
 	dh_autoreconf
 
 	./configure	$(crossflags) \
@@ -59,7 +54,7 @@
 			$(configure_options) \
 			$(shell dpkg-buildflags --export=configure) \
 			--program-suffix=-hybrid \
-			--without-included-ltdl
+			--without-included-ltdl PACKAGE_VERSION=$(package_version)
 	touch $@
 
 build: build-arch build-indep
